
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');


:root{
    --padding-container: 100px 0;
    --color-title: #001A49;
}

body{
    font-family: 'Poppins', sans-serif;
}



.container{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);

}

.hero{
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-height: 800px;
    position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;
    color: white;
}

.hero::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0000008c 0%, #0000008c 100%), url('../Imagenes/malachi-brooks-4qigzcWjVqc-unsplash.jpg');
    background-size: cover;
    clip-path: polygon(0 0, 100% 0, 100% 95%, 45% 100%, 0 95%);
    z-index: -1;
}


/* nav */

.nav{
    --padding-container:0;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav__title{
    font-weight: 300;
}

.nav__item{
    list-style: none;
}

.nav__link{
    margin-left: auto;
    padding: 0;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 2em;
}

.nav__links{
    color: white;
    text-decoration: none;
}

.nav__menu{
    margin-left: auto;
    cursor: pointer;
    display: none;

}

.nav__img{
    display: block;
    width: 30px;
}


.nav__close{
    display: var(--show, none);
}



/* hero container */

.hero__container{
    max-width: 800px;
    display: grid;
    --padding-container: 0;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    padding-bottom: 100px;
    text-align: center;
}

.hero__title{
    font-size: 3rem ;
}


.hero__paragraph{
    margin-bottom: 20px;
}

.cta{
    display: inline-block;
    background-color: thistle ;
    justify-self: center;
    color: white;
    text-decoration: none;
    padding: 13px 30px;
    border-radius: 30px;
}


/*  Sobre que */

.about{
    text-align: center;

}


.subtitle{
    color: var(--color-title);
    font-size: 2rem;
    margin-bottom: 25px;
}


.about__paragraph{
    line-height: 1.7;
}

.about__main{
    padding-top: 80px;
    display: grid;
    width: 90%;
    margin: 0 auto;
    gap: 1em;
    overflow: hidden;
    grid-template-columns: repeat(auto-fit, minmax(160px, auto));
}

.about__icons{
    display: grid;
    gap: 1em;
    justify-items: center;
    width: 160px;
    overflow: hidden;
    margin: 0 auto;
}

.about__icon{
    width: 40px;
}


/* Informacion */



.knowledge{
    background-color: #e5e5f7;
    opacity: 0.8;
    background: linear-gradient(135deg, #f7b04555 25%, transparent 25%) -22px 0/ 44px 44px, linear-gradient(225deg, #f7b045 25%, transparent 25%) -22px 0/ 44px 44px, linear-gradient(315deg, #f7b04555 25%, transparent 25%) 0px 0/ 44px 44px, linear-gradient(45deg, #f7b045 25%, #e5e5f7 25%) 0px 0/ 44px 44px;
    overflow: hidden;
}

.knowledge__container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
    align-items: center;
}

.knowledge__picture{
    max-width: 500px;
}

.knowledge__paragraph{
    line-height: 1.7;
    margin-bottom: 15%;
}

.knowledge__img{
    width: 100%;
    display: block;
}


/* Precios */

.price{
    text-align: center;
}


.price__table{
    padding-top: 60px;
    display: flex;
    flex-wrap: wrap;
    gap: 2.5em;
    justify-content: space-evenly;
    align-items: center;
}

.price__element{
    background-color: #e5e5f7;
    text-align: center;
    border-radius: 10px;
    width: 330px;
    padding: 40px;
    --color-plan: #696871;
    --color-price: #1D293F;
    --bg-cta: #fff;
    --color-cta: #5454d4;
    --color-items: #696871;
}

.price__element--best{
    width: 370px;
    padding: 60px 40px;
    background-color: #FF7143;
    --color-plan: rgb(255 255 255 / 75%);
    --color-price: #fff;
    --bg-cta: #9f3919;
    --color-cta: #fff;
    --color-items: #fff;
}

.price__name{
    color: var(--color-plan);
    margin-bottom: 15px;
    font-weight: 300;
}

.price__price{
    font-size: 2.5rem;
    color: var(--color-price);
}

.price__items{
    margin-top: 35px;
    display: grid;
    gap: 1em;
    font-weight: 300;
    font-size: 1.2rem;
    margin-bottom: 50px;
    color: var(--color-items);

}

.price__cta{
    display: block;
    padding: 20px 0;
    border-radius: 10px;
    text-decoration: none;
    background-color: var(--bg-cta);
    font-weight: 600;
    color: var(--color-cta);
    box-shadow: 0 0 1px rgba(0, 0, 0, .5);
}


/* testimony */
 
.testimony{
    background-color: #e5e5f7;
}

.testimony__container{
    display: grid;
    grid-template-columns: 50px 1fr 50px;
    gap: 1em;
    align-items: center;
}

.testimony__body{
    display: grid;
    grid-template-columns: 1fr max-content;
    justify-content: space-between;
    align-items: center;
    gap: 2em;
    grid-column: 2/3;
    grid-row: 1/2;
    opacity: 0;
    pointer-events: none;
}


.testimony__body--show{
    pointer-events: unset;
    opacity: 1;
    transition: opacity 1.5s ease-in-out;
}

.testimony__img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 30%;
}

.testimony__texts{
    max-width: 700px;
}

.testimony__course{
    background-color: royalblue;
    color: #fff;
    display: inline-block;
    padding: 5px;
}

.testimony__arrow{
    width: 90%;
    cursor: pointer;
}